Listar Links de Pagamento
curl --request GET \
--url https://pay.autorizou.dev/api/v1/payment-links \
--header 'Authorization: Bearer <token>'import requests
url = "https://pay.autorizou.dev/api/v1/payment-links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pay.autorizou.dev/api/v1/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Links de Pagamento
Listar Links de Pagamento
Lista os links de pagamento do seu lojista (paginado)
GET
/
api
/
v1
/
payment-links
Listar Links de Pagamento
Lista os links de pagamento do seu lojista, do mais recente ao mais antigo. Retorna um envelope
paginado. Só traz os links da sua conta (escopado pela chave de API).
Query
integer
Itens por página (máximo 100). Padrão: 20.
cURL
curl "https://pay.autorizou.dev/api/v1/payment-links?per_page=20" \
-H "Authorization: Bearer SUA_CHAVE"
Resposta
{
"data": [
{
"uuid": "9b2c1f7a-3e4d-4a8b-9c1d-2f3e4a5b6c7d",
"hash": "AUTLNK01KW2P8M4Q7K3M9QP",
"url": "https://link.autorizou.dev/p/AUTLNK01KW2P8M4Q7K3M9QP",
"title": "Consultoria — Plano Premium",
"amount": 19900,
"status": "active",
"paid_count": 3
}
],
"links": { "first": "...", "last": "...", "prev": null, "next": "..." },
"meta": { "current_page": 1, "per_page": 20, "total": 1 }
}